Bug 464621 - (EtherbootPkg) Review Request: etherboot - roms needed for pxe boot
Review Request: etherboot - roms needed for pxe boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 464790
  Show dependency treegraph
 
Reported: 2008-09-29 14:40 EDT by Glauber Costa
Modified: 2008-12-10 10:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 10:33:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Glauber Costa 2008-09-29 14:40:29 EDT
Spec URL: http://glommer.fedorapeople.org/etherboot.spec
SRPM URL: http://glommer.fedorapeople.org/etherboot-5.4.3-3.fc10.src.rpm
Description: Etherboot is a software package for creating ROM images that can
download code over an Ethernet network to be executed on an x86
computer. Many network adapters have a socket where a ROM chip can be
installed. Etherboot is code that can be put in such a ROM
Comment 1 Eduardo Habkost 2008-09-29 19:04:55 EDT
Package updated after some discussion with spot.

Spec: http://ehabkost.fedorapeople.org/etherboot.spec
Spec diff from previous version: http://ehabkost.fedorapeople.org/etherboot.spec.diff
SRPM: http://ehabkost.fedorapeople.org/etherboot-5.4.4-2.fc10.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=851235
Comment 2 Tom "spot" Callaway 2008-09-30 10:35:28 EDT
Okay, the only thing that I see is that these aren't being built with the Fedora optflags. Unfortunately, the -fstack-protector causes these roms to fail to build cleanly, but you should be able to pass this with make:

EXTRA_CFLAGS="`echo %{optflags} |sed 's|-fstack-protector||g'`"

Please make that fix and I'll finish off the review.
Comment 3 Eduardo Habkost 2008-09-30 14:45:32 EDT
Updated with the EXTRA_FLAGS change.

I've not set EXTRA_FLAGS on x86_64 because it breaks the building of 32-bits binaries. We could simply use the prebuilt binaries on x86_64 also, but I think prebuilt binaries are worse than the hack to build 32-bit binaries on x86_64. But prebuilt binaries can be enabled on x86_64 by simply removing x86_64 from the definition of %{real_build_arches}, if desired.

http://ehabkost.fedorapeople.org/etherboot-5.4.4-3.fc10.src.rpm
http://ehabkost.fedorapeople.org/etherboot.spec
http://ehabkost.fedorapeople.org/etherboot.spec.diff
http://koji.fedoraproject.org/koji/taskinfo?taskID=852829
Comment 4 Tom "spot" Callaway 2008-09-30 15:17:35 EDT
The only concern here is that the 32bit built roms on x86_64 will not be the same as those used on i386, due to the different optflags in use.

Maybe we could use:

EXTRA_CLFAGS="`echo %{__global_cflags} |sed 's|-fstack-protector||g'`"

That should avoid the -m32/-m64 issues that are causing the failure on x86_64.
Comment 5 Eduardo Habkost 2008-09-30 15:34:12 EDT
(In reply to comment #4)
> The only concern here is that the 32bit built roms on x86_64 will not be the
> same as those used on i386, due to the different optflags in use.
> 

Even before introducing optflags, the x86_64 binaries were not bitwise-equal to the i386 ones (I didn't check how different they were), I guess there are differences (small ones, I expect) on the way gcc behaves when running native 32-bit or compiling 32-bit binaries on x86_64. But I don't expect the binaries to be exactly the same, anyway.

> Maybe we could use:
> 
> EXTRA_CLFAGS="`echo %{__global_cflags} |sed 's|-fstack-protector||g'`"
> 
> That should avoid the -m32/-m64 issues that are causing the failure on x86_64.

That may work.
Comment 7 Tom "spot" Callaway 2008-10-15 14:25:35 EDT
Apologies on the delay here, this one totally fell off my radar. This package is now approved.
Comment 8 Eduardo Habkost 2008-10-20 08:51:21 EDT
New Package CVS Request
=======================
Package Name: etherboot
Short Description: Etherboot collection of boot roms
Owners: ehabkost, glommer
Branches: devel


Is it too late for F-10? I don't know if I should request a F-10 branch also.
Comment 9 Huzaifa S. Sidhpurwala 2008-10-22 06:31:04 EDT
cvs done including F-10 branch
Comment 10 Tom "spot" Callaway 2008-12-10 10:33:10 EST
This appears to be built in F10 and rawhide, closing this out.

Note You need to log in before you can comment on or make changes to this bug.